jargs.gnu

## Class CmdLineParser.Option.LongOption

- java.lang.Object
- - jargs.gnu.CmdLineParser.Option
  - - jargs.gnu.CmdLineParser.Option.LongOption

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CmdLineParser.Option

      public static class CmdLineParser.Option.LongOption
      extends CmdLineParser.Option

  An option that expects a long integer value.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jargs.gnu.CmdLineParser.Option

      `CmdLineParser.Option.BooleanOption, CmdLineParser.Option.DoubleOption, CmdLineParser.Option.IntegerOption, CmdLineParser.Option.LongOption, CmdLineParser.Option.StringOption`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongOption(char shortForm, String longForm)` Instantiates a new long option.
    `LongOption(String longForm)` Instantiates a new long option.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `parseValue(String arg, Locale locale)` Override to extract and convert an option value passed on the command-line.

    - ### Methods inherited from class jargs.gnu.CmdLineParser.Option

      `getValue, longForm, shortForm, wantsValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongOption

          public LongOption(char shortForm,
                            String longForm)

      Instantiates a new long option.
      Parameters:
        `shortForm` - the short form
        `longForm` - the long form

    - #### LongOption

          public LongOption(String longForm)

      Instantiates a new long option.
      Parameters:
        `longForm` - the long form

  - ### Method Detail

    - #### parseValue

          protected Object parseValue(String arg,
                                      Locale locale)
                               throws CmdLineParser.IllegalOptionValueException

      Description copied from class: `CmdLineParser.Option`
      Override to extract and convert an option value passed on the command-line.
      Overrides:
        `parseValue` in class `CmdLineParser.Option`
      Parameters:
        `arg` - the arg
        `locale` - the locale
      Returns:
        the object
      Throws:
        `CmdLineParser.IllegalOptionValueException` - the illegal option value exception

Copyright © 2009–2017 Jeremy Landis. All rights reserved.